|  | Home · All Classes · Modules

# Qt.MatchFlags Class Reference
[QtCore module]

### Methods

- __init__ (self, MatchFlags)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- MatchFlags __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, MatchFlags f)
- MatchFlags __iand__ (self, int mask)
- int __int__ (self)
- MatchFlags __invert__ (self)
- MatchFlags __ior__ (self, MatchFlags f)
- MatchFlags __ixor__ (self, MatchFlags f)
- bool __ne__ (self, MatchFlags f)
- MatchFlags __or__ (self, MatchFlags f)
- MatchFlags __or__ (self, int f)
- MatchFlags __xor__ (self, MatchFlags f)
- MatchFlags __xor__ (self, int f)

## Detailed Description

MatchFlag may be used whenever MatchFlags is expected.

## Method Documentation

### MatchFlags.__init__ (self, MatchFlags)

### MatchFlags.__init__ (self, int)

### MatchFlags.__init__ (self)

### MatchFlags MatchFlags.__and__ (self, int mask)

### int MatchFlags.__bool__ (self)

### bool MatchFlags.__eq__ (self, MatchFlags f)

### MatchFlags MatchFlags.__iand__ (self, int mask)

### int MatchFlags.__int__ (self)

### MatchFlags MatchFlags.__invert__ (self)

### MatchFlags MatchFlags.__ior__ (self, MatchFlags f)

### MatchFlags MatchFlags.__ixor__ (self, MatchFlags f)

### bool MatchFlags.__ne__ (self, MatchFlags f)

### MatchFlags MatchFlags.__or__ (self, MatchFlags f)

### MatchFlags MatchFlags.__or__ (self, int f)

### MatchFlags MatchFlags.__xor__ (self, MatchFlags f)

### MatchFlags MatchFlags.__xor__ (self, int f)